Subject: ServiceChange

From: Chuong Nguyen <[email-masked]>
Date: Thu, 20 Jan 2000 13:25:17 -0600

Brian

We have discussed ServiceChange methods before regarding registration.

But I do not see any new clarification in v13.

You have mention that the first message from MG to MGC should always be

ServiceChange w/Restart.  MGC will always have the option to deny

service to registering MG.

Section 11.5 Failure of MG

"The MG should send a ServiceChange message with a "Failover" method

and a "MGC directed change" reason to the designated MGC.  If it

fails to get a reply, or fails to see an Audit command consequently,

it should behave as if it's MGC failed, and start contacting

secondary MGCs."

Why can't MG send ServiceChange w/Restart here since it is trying to

register with the new MGC?  The reason can be "Failover: MGC

directed change"?

Regardless of the ServiceChange method issue, does new MGC still has the

option to deny service to this requesting MG even though this MG

was directed by the failing MGC?  If the answer is yes, what should

the MG do - contact secondary MGC?

Last quoted sentence, does the MG use Restart or Failure to contact

secondary MGCs?

There are really 2 methods for registration, Restart or Failover

as being the first message from MG to MGC.  Section 7.2.8 implies

only one - Restart w/ROOT.  Section 11.5 implies Failover w/ROOT.

Section 7.2.8 ServiceChange

"6. Failover - send from MG to MGC to indicate the primary MG is out

service and a secondary MG is taking over."

This matches section 11.4 but in section 11.5, this method is also

used by MG to register with Primary or Secondary MGC.

Does the text need to be cleaned or more clarification?

Thanks

Chuong

--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****